
#import <Cocoa/Cocoa.h>
#import "CSGCamera.h"
#import "CSGImage.h"


@interface VideoController : NSObject {
	
	NSButton *_button;
	id _delegate;
	
	IBOutlet NSImageView *imageView;
	IBOutlet NSWindow *snapshotWindow;
	IBOutlet NSButton *snapshotButton;
	
	CSGCamera *camera;
}

- (id)init;
+ (VideoController *)sharedController;

- (void)showVideoWindowWithInitialImage:(NSImage *)initialImage
							anddelegate:(id)delegate;

- (void)awakeFromNib;
- (void)windowWillClose:(NSNotification *)aNotification;
- (IBAction)takeSnapshot:(id)sender;
- (void)camera:(CSGCamera *)aCamera
didReceiveFrame:(CSGImage *)aFrame;
- (void)saveSnapshot:(NSImage *)image;

@end
